VayuDocumentationIntegrationsAPI ReferenceChange Log
SupportGet started now
API EndpointsEvents

Delete an event by refId

Use this endpoint to remove a specific event using its reference ID.

DELETE
/events/{refId}

Authorization

BearerAuthorizer
AuthorizationBearer <token>

In: header

Path Parameters

refId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/events/string"
{  "event": {    "name": "api_call",    "timestamp": "2023-09-13T18:25:43.511Z",    "customerAlias": "customer_12345",    "ref": "4f6cf35x-2c4y-483z-a0a9-158621f77a21",    "data": {      "key1": "processing_duration",      "key2": "api_url"    },    "id": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "deletedAt": "string"  }}
{  "type": "invalid_request_error",  "code": "string",  "message": "string",  "param": "string",  "params": [    {      "param": "string",      "message": "string"    }  ]}
{  "type": "authentication_error",  "code": "authentication_failed",  "message": "string"}
{  "type": "invalid_request_error",  "code": "resource_not_found",  "message": "string"}
{  "type": "rate_limit_error",  "code": "rate_limit_exceeded",  "message": "string"}
{  "type": "api_error",  "code": "internal_error",  "message": "string"}